To: linux-m68k@lists.linux-m68k.org
Subject: L68K: 2.1.90 patches
From: Andre Heynatz <tron@Informatik.Uni-Bremen.DE>
Date: 09 Apr 1998 11:45:49 +0200
Sender: owner-linux-m68k@phil.uni-sb.de

Hello!

In order to compile 2.1.90 on Amiga 4000T/CV643D, I needed to make the
following patches:

diff -r -u linux-2.1.90-orig/drivers/char/defkeymap.c linux-2.1.90/drivers/char/defkeymap.c
--- linux-2.1.90-orig/drivers/char/defkeymap.c	Sat Mar 21 14:41:56 1998
+++ linux-2.1.90/drivers/char/defkeymap.c	Wed Apr  8 22:18:20 1998
@@ -24,7 +24,7 @@
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 };
 
-static u_short shift_map[NR_KEYS] = {
+u_short shift_map[NR_KEYS] = {
 	0xf200,	0xf01b,	0xf021,	0xf040,	0xf023,	0xf024,	0xf025,	0xf05e,
 	0xf026,	0xf02a,	0xf028,	0xf029,	0xf05f,	0xf02b,	0xf07f,	0xf009,
 	0xfb51,	0xfb57,	0xfb45,	0xfb52,	0xfb54,	0xfb59,	0xfb55,	0xfb49,
@@ -43,7 +43,7 @@
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 };
 
-static u_short altgr_map[NR_KEYS] = {
+u_short altgr_map[NR_KEYS] = {
 	0xf200,	0xf200,	0xf200,	0xf040,	0xf200,	0xf024,	0xf200,	0xf200,
 	0xf07b,	0xf05b,	0xf05d,	0xf07d,	0xf05c,	0xf200,	0xf200,	0xf200,
 	0xfb71,	0xfb77,	0xf918,	0xfb72,	0xfb74,	0xfb79,	0xfb75,	0xfb69,
@@ -62,7 +62,7 @@
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 };
 
-static u_short ctrl_map[NR_KEYS] = {
+u_short ctrl_map[NR_KEYS] = {
 	0xf200,	0xf200,	0xf200,	0xf000,	0xf01b,	0xf01c,	0xf01d,	0xf01e,
 	0xf01f,	0xf07f,	0xf200,	0xf200,	0xf01f,	0xf200,	0xf008,	0xf200,
 	0xf011,	0xf017,	0xf005,	0xf012,	0xf014,	0xf019,	0xf015,	0xf009,
@@ -81,7 +81,7 @@
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 };
 
-static u_short shift_ctrl_map[NR_KEYS] = {
+u_short shift_ctrl_map[NR_KEYS] = {
 	0xf200,	0xf200,	0xf200,	0xf000,	0xf200,	0xf200,	0xf200,	0xf200,
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf01f,	0xf200,	0xf200,	0xf200,
 	0xf011,	0xf017,	0xf005,	0xf012,	0xf014,	0xf019,	0xf015,	0xf009,
@@ -100,7 +100,7 @@
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 };
 
-static u_short alt_map[NR_KEYS] = {
+u_short alt_map[NR_KEYS] = {
 	0xf200,	0xf81b,	0xf831,	0xf832,	0xf833,	0xf834,	0xf835,	0xf836,
 	0xf837,	0xf838,	0xf839,	0xf830,	0xf82d,	0xf83d,	0xf87f,	0xf809,
 	0xf871,	0xf877,	0xf865,	0xf872,	0xf874,	0xf879,	0xf875,	0xf869,
@@ -119,7 +119,7 @@
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 };
 
-static u_short ctrl_alt_map[NR_KEYS] = {
+u_short ctrl_alt_map[NR_KEYS] = {
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,	0xf200,
 	0xf811,	0xf817,	0xf805,	0xf812,	0xf814,	0xf819,	0xf815,	0xf809,
diff -r -u linux-2.1.90-orig/drivers/video/virgefb.c linux-2.1.90/drivers/video/virgefb.c
--- linux-2.1.90-orig/drivers/video/virgefb.c	Tue Apr  7 22:26:46 1998
+++ linux-2.1.90/drivers/video/virgefb.c	Tue Apr  7 22:27:18 1998
@@ -849,7 +849,7 @@
 	switch (display->var.bits_per_pixel) {
 #ifdef CONFIG_FBCON_CFB8
 	    case 8:
-		if (display->var.accel_text & FB_ACCELF_TEXT) {
+		if (display->var.accel_flags & FB_ACCELF_TEXT) {
 		    display->dispsw = &fbcon_virge8;
 #warning FIXME: We should reinit the graphics engine here
 		} else


=====================

Some comments:

loadkeys (kbd-0.94-6) generates a defkeymap.c with static structs,
this patch undos this.

The second part refers to the 'geert-video.diff' patch, so please
apply it first.

BTW, XFree68 3.3.2 doesn't work on my machine, too. Some missing
symbol when running 'xinit' (like others already have mentioned).


Greetings,

-- 
Andr Heynatz
http://www.informatik.uni-bremen.de/~tron/linux_m68k/
Support non-Wintel (http://www.convergence.eu.org/)

